.subckt E90CC p g k
+params: Ku=2.983e-5 Mu=27 Rgk=1e3 Cgk=3.4e-12 Cgp=2.5e-12 Cpk=0.4e-12
gp p k value = {Ku*(pwr(v(p,k)+Mu*v(g,k),1.5)+pwrs(v(p,k)+Mu*v(g,k),1.5))/2}
r1 g x {Rgk}
d1 x k dx
cgk g k {Cgk}
cgp g p {Cgp}
cpk p k {Cpk}
.MODEL DX D(IS=1N RS=1k CJO=10PF N=1.5 TT=1N)
.ends E90CC


* Generic triode model: E92CC
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Version 3.10, Generated on Sun Sep 01 19:47:13 2013
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT E92CC A G K
.PARAM X1=0.55400106 X2=0.014847333 X3=-1.2515442
.PARAM X4=0.54514842 X5=30.635239 X6=2.7515442
.PARAM X7=0.0039106914 X8=56.196144 X9=0.0031176387
.PARAM Y1=0.0019553457 Y2=0.0020601937
BK IK 0 V=U(V(G,K)+X1)*X7*URAMP(V(G,K)+X1+URAMP(V(A,K))/X8)**1.5+(1-U(V(G,K)+X1))*X9*(X2*URAMP(V(A,K)))**X3*(X4*URAMP(V(G,K)+X1+URAMP(V(A,K))/X5))**X6
BA A K I=URAMP((Y2*URAMP(V(A,K))**1.5)-URAMP((Y2*URAMP(V(A,K))**1.5)-V(IK)+Y1*URAMP(V(G,K))**1.5*(URAMP(V(G,K))/(URAMP(V(A,K))+URAMP(V(G,K)))*1.2+.4)))+1E-10*V(A,K)
BG G K I=Y1*URAMP(V(G,K))**1.5*(URAMP(V(G,K))/(URAMP(V(A,K))+URAMP(V(G,K)))*1.2+.4)
* CAPS
CGA G A 2.2p
CGK G K 3.1p
CAK A K 0.3p
.ENDS E92CC



* 6J6 LTSpice model
* Modified Koren model (8 parameters): mean fit error 0.146816 mA
* Traced by Wayne Clay on 2/12/2014 using Curve Captor v0.9.1
* from General Electric data sheet
.subckt 6J6  P G K
    Bp  P K  I=
+ (0.02975503554m)*uramp(V(P,K)*ln(1.0+(-0.03870606743)+exp((2.609078816)+
+ (2.609078816)*((44.4681031)+(-320.4695508m)*V(G,K))*V(G,K)/sqrt((45.24212568)**2+
+ (V(P,K)-(7.633778567))**2)))/(2.609078816))**(1.325356539)
  Cgp G P 1.8p ; 0.2p added
  Cgk G K 2.4p ; 0.2p added
  Cpk P K 0.9p ; 0.2p added
  Rpk P K 1G ; to avoid floating nodes
  d3  G K dx1
.model dx1 d(is=1n rs=2k cjo=1pf N=1.5 tt=1n)
.ends 6J6
